using System.Linq;
using System;
using System.Collections.Generic;
using System.Text.RegularExpressions;

class Program
{
    public static void Main()
    {
        string[] prvired = Console.ReadLine().Split(' ');
        int n = int.Parse(prvired[0]);
        int h = int.Parse(prvired[1]);
        string[] drugired = Console.ReadLine().Split(' ');
        int brojac = -1;
        for (int i = 0; i < n; i++)
        {
            int trenutni = int.Parse(drugired[i]);
            if (h >= trenutni)
            {
                brojac = i + 1; break;
            }

        }
        Console.WriteLine(brojac);
    }

}